import BaseCurdEntry from './BaseCurdEntry'

import providerDetailApiApi from '@@/api/ProviderDetailApi'

export default class ProviderDetail extends BaseCurdEntry {
  id

  name

  code

  abbr

  liaison

  phone

  mail

  address

  static get $$name () {
    return 'ProviderDetail'
  }

  static get $$api () {
    return providerDetailApiApi
  }

  static $$getQuery = () => ({
    name: ''
  })
}
